/* $Id: KeyboardAppUi.h,v 1.6 2003/11/24 07:38:30 chrisf Exp $ */

/* Copyright (c) 2003 Chris Faherty */

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef __KEYBOARDAPPUI_H__
#define __KEYBOARDAPPUI_H__

#include <aknappui.h>

class CKeyboardAppView;
class CKeyboardAppModel;

class CKeyboardAppUi : public CAknAppUi {
public:
    void ConstructL();
    CKeyboardAppUi();
    ~CKeyboardAppUi();

    /* MEikMenuPaneObserver */
    void DynInitMenuPaneL(TInt aMenuId, CEikMenuPane * aMenuPane);

private:
    /* CEikAppUi */
    void HandleCommandL(TInt aCommand);
    TKeyResponse HandleKeyEventL(const TKeyEvent& aKeyEvent, TEventCode aType);

public:
    CKeyboardAppView *iAppView;
    CKeyboardAppModel *iAppModel;
    TInt iCaptureKeyHandle;
    TInt iCaptureKeyUpAndDownsHandle;
    TInt iCycledTask;
};

#endif
