/* $Id: KeyboardApplication.cpp,v 1.2 2003/11/11 21:24:44 chrisf Exp $ */

/* Copyright (c) 2003 Chris Faherty */

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include "KeyboardDocument.h"
#include "KeyboardApplication.h"

// local constants
static const TUid KUidKeyboardApp = { 0x101FEAE0 };

CApaDocument *CKeyboardApplication::CreateDocumentL()
{
    // Create a document, and return a pointer to it
    CApaDocument *document = CKeyboardDocument::NewL(*this);
    return document;
}

TUid CKeyboardApplication::AppDllUid() const
{
    // Return the UID for the Keyboard application
    return KUidKeyboardApp;
}
